summaryrefslogtreecommitdiffstats
path: root/tools/gendoc/gendoc-mock-inside
diff options
context:
space:
mode:
Diffstat (limited to 'tools/gendoc/gendoc-mock-inside')
-rwxr-xr-xtools/gendoc/gendoc-mock-inside55
1 files changed, 55 insertions, 0 deletions
diff --git a/tools/gendoc/gendoc-mock-inside b/tools/gendoc/gendoc-mock-inside
new file mode 100755
index 0000000..6550cc8
--- /dev/null
+++ b/tools/gendoc/gendoc-mock-inside
@@ -0,0 +1,55 @@
+#!/bin/bash -x
+
+cd $HOME/doc || exit 1
+
+# clone all git reprositories
+mkdir clones || exit 1
+pushd clones || exit 1
+git clone https://git.fedorahosted.org/git/openlmi-providers.git || exit 1
+pushd openlmi-providers || exit 1
+git checkout $1 || exit 1
+popd
+
+git clone https://git.fedorahosted.org/git/openlmi-networking.git || exit 1
+pushd openlmi-networking || exit 1
+git checkout $2 || exit 1
+popd
+
+git clone https://git.fedorahosted.org/git/openlmi-storage.git || exit 1
+pushd openlmi-storage || exit 1
+git checkout $3 || exit 1
+popd
+
+popd
+
+# prepare pictures
+pushd clones/openlmi-storage/doc/admin
+make src || exit 1
+# we don't want class documentation here, there will be one
+# on the top level
+rm -rf mof/*.rst
+popd
+
+pushd clones/openlmi-providers/src/account/doc/
+make html || exit 1
+# we don't want class documentation here, there will be one
+# on the top level
+rm -rf source/mof/*.rst
+popd
+
+pushd clones/openlmi-networking
+mkdir build || exit 1
+cd build || exit 1
+cmake .. || exit 1
+make doc || exit 1
+# we don't want class documentation here, there will be one
+# on the top level
+rm -rf doc/admin/mof/*.rst
+popd
+
+# Update project versions in RST files
+sed -i -e "s/PROVIDERSVER/$1/" -e "s/NETWORKINGVER/$2/" -e "s/STORAGEVER/$3/" *.rst *.py
+
+make html || exit 1
+
+tar cfz doc.tgz _build/html || exit 1